# add

inline suspend fun < Key , Value , REPO : WriteKeyValuesRepo < Key , Value >> REPO . add (keysAndValues: List < Pair < Key , List < Value >>>)(source)

List-of-pairs overload of WriteKeyValuesRepo.add.

#### Parameters

keysAndValues

List of key to list-of-values pairs to add

inline suspend fun < Key , Value , REPO : WriteKeyValuesRepo < Key , Value >> REPO . add (vararg keysAndValues: Pair < Key , List < Value >>)(source)

Vararg overload of WriteKeyValuesRepo.add.

#### Parameters

keysAndValues

Key to list-of-values pairs to add

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. add (k: Key , v: List < Value >)(source)

Single-key overload of WriteKeyValuesRepo.add accepting a list of values.

#### Parameters

k

Key to add values to

v

List of values to add

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. add (k: Key , vararg v: Value )(source)

Single-key vararg overload of WriteKeyValuesRepo.add.

#### Parameters

k

Key to add values to

v

Values to add